com.hazelcast.config

## Enum RestEndpointGroup

- java.lang.Object
- - java.lang.Enum<RestEndpointGroup>
  - - com.hazelcast.config.RestEndpointGroup

- All Implemented Interfaces:
    Serializable, Comparable<RestEndpointGroup>

      public enum RestEndpointGroup
      extends Enum<RestEndpointGroup>

  Enum of REST endpoint groups. A REST group is predefined set of REST endpoints which can be enabled or disabled. Groups don't overlap - each Hazelcast REST endpoint belongs to exactly one group. Each group has a default value (`isEnabledByDefault()`) which controls if it will be included by default in `RestApiConfig` configuration.
  See Also:
    `RestApiConfig`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLUSTER_READ` Group of operations for retrieving cluster state and its version.
    `CLUSTER_WRITE` Operations which changes cluster or node state or their configurations.
    `DATA` Group of HTTP REST APIs for data manipulation in the cluster (e.g.
    `HEALTH_CHECK` Group of endpoints for HTTP health checking.
    `HOT_RESTART` Group of HTTP REST APIs related to Hot Restart feature.
    `WAN` Group of HTTP REST APIs related to WAN Replication feature.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEnabledByDefault()` Returns if this group is enabled by default.
    `static RestEndpointGroup` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RestEndpointGroup[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLUSTER_READ

          public static final RestEndpointGroup CLUSTER_READ

      Group of operations for retrieving cluster state and its version.

    - #### CLUSTER_WRITE

          public static final RestEndpointGroup CLUSTER_WRITE

      Operations which changes cluster or node state or their configurations.

    - #### HEALTH_CHECK

          public static final RestEndpointGroup HEALTH_CHECK

      Group of endpoints for HTTP health checking.

    - #### HOT_RESTART

          public static final RestEndpointGroup HOT_RESTART

      Group of HTTP REST APIs related to Hot Restart feature.

    - #### WAN

          public static final RestEndpointGroup WAN

      Group of HTTP REST APIs related to WAN Replication feature.

    - #### DATA

          public static final RestEndpointGroup DATA

      Group of HTTP REST APIs for data manipulation in the cluster (e.g. IMap and IQueue operations).

  - ### Method Detail

    - #### values

          public static RestEndpointGroup[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RestEndpointGroup c : RestEndpointGroup.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RestEndpointGroup valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isEnabledByDefault

          public boolean isEnabledByDefault()

      Returns if this group is enabled by default.

Copyright © 2019. All rights reserved.